Main Page Class Hierarchy Compound List File List Compound Members

# G_Polygon Class Reference

Polyline as list of segments, where each segment can be. More...

`#include <polyline.h>`

Inheritance diagram for G_Polygon:

List of all members.

## Public Methods
void | ConvertLine (double aber, double Rmin, double Rmax)
bool | CheckForPerfectArc (Point &middle, double &radius)
bool | RemoveZero ()
void | ConvertSplined (double Aber)
double | CalcLength ()

## Detailed Description

Polyline as list of segments, where each segment can be.

a Line_Segment or Arc_Segment \saSegment \saLine_Seg \saArc_Seg

The documentation for this class was generated from the following file:

- polyline.h

G_Polygon class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page